using NiceAction.Character.FSM;
using UnityEngine;

namespace NiceAction.Character
{
    public class CharacterAnimator
    {
        private readonly Animator m_Animator;
        private readonly CharacterStateMachine m_StateMachine;

        public CharacterAnimator(Animator animator, CharacterStateMachine characterStateMachine)
        {
            m_StateMachine = characterStateMachine;
            m_Animator = animator;
        }

        public void OnUpdate()
        {
            if (m_StateMachine.isStateChanged)
            {
                switch (m_StateMachine.m_CurrState)
                {
                    default:
                        m_Animator.Play(m_StateMachine.state.ToString());
                        break;
                }
            }
        }
    }
}
