using UnityEngine;
using NiceAction.Character.FSM;
using NiceAction.Character.FSM.Command;

namespace NiceAction.Character
{
    public class CharacterInput
    {
        public float m_HorizontalInput { get; private set; }

        private readonly CharacterStateMachine m_CharacterStateMachine;

        public CharacterInput(CharacterStateMachine characterStateMachine)
        {
            m_CharacterStateMachine = characterStateMachine;
            m_HorizontalInput = 0;
        }

        public void OnUpdate()
        {
            if (Input.GetKeyDown(KeyCode.W)) // TODO : Keycode 수정하기 
            {
                m_CharacterStateMachine.AddCommand(new JumpCharacterCommand());
            }

            m_HorizontalInput = Input.GetAxisRaw("Horizontal");

            if (m_HorizontalInput != 0)
            {
                m_CharacterStateMachine.AddCommand(new MoveCharacterCommand());
            }
        }
    }
}
