using NiceAction.Character.Data;
using UnityEngine;

namespace NiceAction.Character
{
    public class CharacterPhysics
    {
        public bool isOnGround { get; set; }

        private readonly Transform m_CharacterTransform;
        private readonly CharacterController m_CharacterController;
        private readonly CharacterPhysicsData m_CharacterPhysicsData;
        
        private float maxDistance => m_CharacterPhysicsData.Epsilon;
        
        public CharacterPhysics(Transform characterTransform, CharacterController characterController, CharacterPhysicsData characterPhysicsData)
        {
            m_CharacterTransform = characterTransform;
            m_CharacterController = characterController;
            m_CharacterPhysicsData = characterPhysicsData;
        }

        public void OnUpdate()
        {
            isOnGround = CheckOnGround();
        }

        private bool CheckOnGround()
        {
            var boxSize = new Vector3(m_CharacterController.radius, m_CharacterController.height/2,
                m_CharacterController.radius);
            var castDirection = Vector3.down;


            return Physics.BoxCast(m_CharacterTransform.position, boxSize, castDirection,
                m_CharacterTransform.rotation, maxDistance);
        }
    }
}
