using UnityEngine;

namespace NiceAction.Character.Data
{
    [CreateAssetMenu(fileName = "Data", menuName = "ScriptableObjects/CharacterPhysicsData", order = 1)]
    public class CharacterPhysicsData : ScriptableObject
    {
        [SerializeField] private float runSpeed;
        public float RunSpeed => runSpeed;
        
        [SerializeField] private float jumpSpeed;
        public float JumpSpeed => jumpSpeed;

        [SerializeField] private float gravityAcceleration;
        public float GravityAcceleration => gravityAcceleration;

        [SerializeField] private float maxSpeed;
        public float MaxSpeed => maxSpeed;

        [SerializeField] private float runAcceleration;
        public float RunAcceleration => runAcceleration;
        
        [SerializeField] private float runAccelerationOnAir;
        public float RunAccelerationOnAir => runAccelerationOnAir;

        [SerializeField] private float frictionOnGround;
        public float FrictionOnGround => frictionOnGround;

        [SerializeField] private float frictionOnAir;
        public float FrictionOnAir => frictionOnAir;

        [SerializeField] private float epsilon;
        public float Epsilon => epsilon;
        
    }
}
