using NiceAction.Character.FSM.Struct;

namespace NiceAction.Character.FSM.State
{
    public abstract class BaseState
    {
        public abstract CharacterStateType state { get; }

        public BaseState nextState { get; protected set; } = null;

        protected BaseState()
        {
        }

        public void OnUpdate(CharacterCondition condition)
        {
            OnDoUpdate(condition);
        }

        protected abstract void OnDoUpdate(CharacterCondition condition);
    }
}
