using NiceAction.Character.FSM.Struct;

namespace NiceAction.Character.FSM.State
{
    public class OnAirState : BaseState
    {
        public override CharacterStateType state => CharacterStateType.OnAir;

        public float horizontalInput { get; private set; }

        public OnAirState()
        {
        }

        protected override void OnDoUpdate(CharacterCondition condition)
        {
            horizontalInput = condition.horizontalInput;

            if (condition.isGround)
            {
                if (condition.horizontalInput == 0)
                    nextState = new IdleState();
                else
                    nextState = new RunState();
            }
        }
    }

}
