using NiceAction.Character.FSM.Struct;

namespace NiceAction.Character.FSM.State
{
    public class RunState : BaseState
    {
        public override CharacterStateType state => CharacterStateType.Run;

        public float horizontalInput { get; private set; }

        public RunState()
        {
        }

        protected override void OnDoUpdate(CharacterCondition condition)
        {
            horizontalInput = condition.horizontalInput;

            if (condition.horizontalInput == 0)
                nextState = new IdleState();

            if (condition.isGround == false)
            {
                nextState = new OnAirState();
            }
        }
    }
}
