using System;
using System.Collections.Generic;
using UnityEngine;

namespace NiceAction
{
    public class InputHandler : SingletonMonoBehaviour<InputHandler>
    {
        public enum InputType
        {
            down,
            up,
            press,
        }

        public struct InputAction
        {
            public KeyCode keyCode;
            public InputType inputType;
            public Action action;

            public InputAction(KeyCode _keyCode, InputType _inputType, Action _action)
            {
                keyCode = _keyCode;
                inputType = _inputType;
                action = _action;
            }
        }

        public List<InputAction> InputActionList = new List<InputAction>();

        void Update()
        {
            foreach (var inputAction in InputActionList)
            {
                switch (inputAction.inputType)
                {
                    case InputType.down:
                        if (Input.GetKeyDown(inputAction.keyCode))
                        {
                            inputAction.action();
                        }
                        break;
                    case InputType.press:
                        if (Input.GetKey(inputAction.keyCode))
                        {
                            inputAction.action();
                        }
                        break;
                    case InputType.up:
                        if (Input.GetKeyUp(inputAction.keyCode))
                        {
                            inputAction.action();
                        }
                        break;
                }
            }
        }
    }
}
